import re
import xbmc
import urlresolver
from md_request import open_url
from ..scraper import Scraper
from ..common import clean_title,clean_search            

User_Agent = 'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.87 Safari/537.36'
                                           
class onlinehdmovies(Scraper):
    domains = ['onlinehdmovies.org']
    name = "OnlineHD"
    sources = []

    def __init__(self):
        self.base_link = 'http://onlinehdmovies.org'

    def scrape_movie(self, title, year, imdb, debrid = False):
        try:
            search_id = clean_search(title.lower())
            start_url = '%s/?s=%s' %(self.base_link,search_id.replace(' ','+'))
            headers = {'User_Agent':User_Agent}       
            html = open_url(start_url,headers=headers, timeout=3).content

            match = re.compile('<div class="datos".+?href="(.+?)">(.+?)</a>.+?rel="tag">(.+?)</a>',re.DOTALL).findall(html)
            for link,name,date in match:
                if clean_title(name).lower() == clean_title(title).lower(): 
                    if date == year:
                        self.get_source(link)
            
            return self.sources
        except:
            pass
            return[]

    def get_source(self,url):
        try:
            print 'GWGWGW FILM_URL= '+url
            headers={'User-Agent':User_Agent}
            OPEN = open_url(url,headers=headers,timeout=5).content
            Regex = re.compile('id="div.+?href="(.+?)"',re.DOTALL).findall(OPEN)
            for final_url in Regex:
                print 'GETS > '+final_url            
                if 'oload' in final_url: 
                    get_res=open_url(final_url,headers=headers,timeout=5).content
                    chk = re.compile('<title>(.+?)</title>',re.DOTALL).findall(get_res)[0]
                    if '1080' in chk:
                        qual='1080p'
                    elif '720' in chk:
                        qual='720p'
                    else:
                        qual='HD'
                    self.sources.append({'source': 'Openload', 'quality': qual, 'scraper': self.name, 'url': final_url,'direct': False})
                elif 'openload' in final_url: 
                    get_res=open_url(final_url,headers=headers,timeout=5).content
                    chk = re.compile('<title>(.+?)</title>',re.DOTALL).findall(get_res)[0]
                    if '1080' in chk:
                        qual='1080p'
                    elif '720' in chk:
                        qual='720p'
                    else:
                        qual='HD'
                    self.sources.append({'source': 'Openload', 'quality': qual, 'scraper': self.name, 'url': final_url,'direct': False})
                elif 'vidoza' in final_url:
                    get_res=open_url(final_url,headers=headers,timeout=5).content
                    qual = re.compile('file:.+?,label:"(.+?)"',re.DOTALL).findall(get_res)[0]
                    self.sources.append({'source': 'Vidoza', 'quality': qual, 'scraper': self.name, 'url': final_url,'direct': False})
                else:
                    if urlresolver.HostedMediaFile(final_url).valid_url():
                        host = final_url.split('//')[1].replace('www.','')
                        host = host.split('/')[0].split('.')[0].title()
                        if not non_func_hosts(host.lower()):
                            continue  
                        self.sources.append({'source': host, 'quality': 'SD', 'scraper': self.name, 'url': final_url,'direct': False})    
        except:
            pass

